<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Mitarbeiter\RaumUebersicht\PdfListen\Hausmeisterlisten\Ausgabe;


class PrintHmListenBySettingsController extends \Kufer\Web\KuferTools\Basis\PdfListen\Hausmeisterlisten\Ausgabe\PrintHmListenBySettingsController
{
  protected function getUseCase(): \Kufer\Web\KuferTools\Basis\UseCase\UseCase
  {
    return new PrintHmListenBySettingsUseCase(
      $this->getRequestObj()
    );
  }

  protected function getToolId()
  {
    return PrintHmListenBySettingsUseCase::getToolId();
  }
}